# forestvpn_api.api.DnsApi

## Load the API package
```dart
import 'package:forestvpn_api/api.dart';
```

All URIs are relative to *https://api.forestvpn.com/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**lookup**](DnsApi.md#lookup) | **POST** /dns/lookup | DNS Lookup


# **lookup**
> Lookup lookup(request)

DNS Lookup

### Example 
```dart
import 'package:forestvpn_api/api.dart';

var api_instance = new DnsApi();
var request = new LookupRequest(); // LookupRequest | 

try { 
    var result = api_instance.lookup(request);
    print(result);
} catch (e) {
    print("Exception when calling DnsApi->lookup: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **request** | [**LookupRequest**](LookupRequest.md)|  | [optional] 

### Return type

[**Lookup**](Lookup.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

