part of forestvpn_api.api;

class Country {
  
  String code = null;
  

  String printableName = null;
  

  String name = null;
  
  Country();

  @override
  String toString() {
    return 'Country[code=$code, printableName=$printableName, name=$name, ]';
  }

  Country.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    code =
        json['code']
    ;
    printableName =
        json['printable_name']
    ;
    name =
        json['name']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'code': code,
      'printable_name': printableName,
      'name': name
     };
  }

  static List<Country> listFromJson(List<dynamic> json) {
    return json == null ? new List<Country>() : json.map((value) => new Country.fromJson(value)).toList();
  }

  static Map<String, Country> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, Country>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new Country.fromJson(value));
    }
    return map;
  }
}

