part of forestvpn_api.api;

class Feature {
  
  String version = null;
  

  String kind = null;
  

  Object spec = null;
  
  Feature();

  @override
  String toString() {
    return 'Feature[version=$version, kind=$kind, spec=$spec, ]';
  }

  Feature.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    version =
        json['version']
    ;
    kind =
        json['kind']
    ;
    spec =
      
      
      new Object.fromJson(json['spec'])
;
  }

  Map<String, dynamic> toJson() {
    return {
      'version': version,
      'kind': kind,
      'spec': spec
     };
  }

  static List<Feature> listFromJson(List<dynamic> json) {
    return json == null ? new List<Feature>() : json.map((value) => new Feature.fromJson(value)).toList();
  }

  static Map<String, Feature> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, Feature>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new Feature.fromJson(value));
    }
    return map;
  }
}

