part of forestvpn_api.api;

class GeoPoint {
  
  String latitude = null;
  

  String longitude = null;
  
  GeoPoint();

  @override
  String toString() {
    return 'GeoPoint[latitude=$latitude, longitude=$longitude, ]';
  }

  GeoPoint.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    latitude =
        json['latitude']
    ;
    longitude =
        json['longitude']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'latitude': latitude,
      'longitude': longitude
     };
  }

  static List<GeoPoint> listFromJson(List<dynamic> json) {
    return json == null ? new List<GeoPoint>() : json.map((value) => new GeoPoint.fromJson(value)).toList();
  }

  static Map<String, GeoPoint> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, GeoPoint>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new GeoPoint.fromJson(value));
    }
    return map;
  }
}

