part of forestvpn_api.api;

class Lookup {
  
  String name = null;
  

  int expires = null;
  

  String class_ = null;
  

  String type = null;
  

  String value = null;
  
  Lookup();

  @override
  String toString() {
    return 'Lookup[name=$name, expires=$expires, class_=$class_, type=$type, value=$value, ]';
  }

  Lookup.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    name =
        json['name']
    ;
    expires =
        json['expires']
    ;
    class_ =
        json['class']
    ;
    type =
        json['type']
    ;
    value =
        json['value']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'name': name,
      'expires': expires,
      'class': class_,
      'type': type,
      'value': value
     };
  }

  static List<Lookup> listFromJson(List<dynamic> json) {
    return json == null ? new List<Lookup>() : json.map((value) => new Lookup.fromJson(value)).toList();
  }

  static Map<String, Lookup> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, Lookup>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new Lookup.fromJson(value));
    }
    return map;
  }
}

