part of forestvpn_api.api;

class Preference {
  
  Location inboundLocation = null;
  

  Location outboundLocation = null;
  
  Preference();

  @override
  String toString() {
    return 'Preference[inboundLocation=$inboundLocation, outboundLocation=$outboundLocation, ]';
  }

  Preference.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    inboundLocation =
      
      
      new Location.fromJson(json['inbound_location'])
;
    outboundLocation =
      
      
      new Location.fromJson(json['outbound_location'])
;
  }

  Map<String, dynamic> toJson() {
    return {
      'inbound_location': inboundLocation,
      'outbound_location': outboundLocation
     };
  }

  static List<Preference> listFromJson(List<dynamic> json) {
    return json == null ? new List<Preference>() : json.map((value) => new Preference.fromJson(value)).toList();
  }

  static Map<String, Preference> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, Preference>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new Preference.fromJson(value));
    }
    return map;
  }
}

