part of forestvpn_api.api;

class PreferenceUpdateRequest {
  
  String inboundLocationId = null;
  

  String outboundLocationId = null;
  
  PreferenceUpdateRequest();

  @override
  String toString() {
    return 'PreferenceUpdateRequest[inboundLocationId=$inboundLocationId, outboundLocationId=$outboundLocationId, ]';
  }

  PreferenceUpdateRequest.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    inboundLocationId =
        json['inbound_location_id']
    ;
    outboundLocationId =
        json['outbound_location_id']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'inbound_location_id': inboundLocationId,
      'outbound_location_id': outboundLocationId
     };
  }

  static List<PreferenceUpdateRequest> listFromJson(List<dynamic> json) {
    return json == null ? new List<PreferenceUpdateRequest>() : json.map((value) => new PreferenceUpdateRequest.fromJson(value)).toList();
  }

  static Map<String, PreferenceUpdateRequest> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, PreferenceUpdateRequest>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new PreferenceUpdateRequest.fromJson(value));
    }
    return map;
  }
}

