part of forestvpn_api.api;

class WireGuardProfileCreateRequest {
  
  String deviceId = null;
  

  String deviceName = null;
  
  WireGuardProfileCreateRequest();

  @override
  String toString() {
    return 'WireGuardProfileCreateRequest[deviceId=$deviceId, deviceName=$deviceName, ]';
  }

  WireGuardProfileCreateRequest.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    deviceId =
        json['device_id']
    ;
    deviceName =
        json['device_name']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'device_id': deviceId,
      'device_name': deviceName
     };
  }

  static List<WireGuardProfileCreateRequest> listFromJson(List<dynamic> json) {
    return json == null ? new List<WireGuardProfileCreateRequest>() : json.map((value) => new WireGuardProfileCreateRequest.fromJson(value)).toList();
  }

  static Map<String, WireGuardProfileCreateRequest> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, WireGuardProfileCreateRequest>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new WireGuardProfileCreateRequest.fromJson(value));
    }
    return map;
  }
}

