part of forestvpn_api.api;

class AppleVerifyReceiptRequest {
  /* The latest Base64-encoded transaction receipt. */
  String receipt = null;
  
  AppleVerifyReceiptRequest();

  @override
  String toString() {
    return 'AppleVerifyReceiptRequest[receipt=$receipt, ]';
  }

  AppleVerifyReceiptRequest.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    receipt =
        json['receipt']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'receipt': receipt
     };
  }

  static List<AppleVerifyReceiptRequest> listFromJson(List<dynamic> json) {
    return json == null ? new List<AppleVerifyReceiptRequest>() : json.map((value) => new AppleVerifyReceiptRequest.fromJson(value)).toList();
  }

  static Map<String, AppleVerifyReceiptRequest> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, AppleVerifyReceiptRequest>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new AppleVerifyReceiptRequest.fromJson(value));
    }
    return map;
  }
}

