part of forestvpn_api.api;

class Location {
  
  String id = null;
  

  Country country = null;
  

  GeoPoint point = null;
  

  String name = null;
  

  String printableName = null;
  
  Location();

  @override
  String toString() {
    return 'Location[id=$id, country=$country, point=$point, name=$name, printableName=$printableName, ]';
  }

  Location.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id =
        json['id']
    ;
    country =
      
      
      new Country.fromJson(json['country'])
;
    point =
      
      
      new GeoPoint.fromJson(json['point'])
;
    name =
        json['name']
    ;
    printableName =
        json['printable_name']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'country': country,
      'point': point,
      'name': name,
      'printable_name': printableName
     };
  }

  static List<Location> listFromJson(List<dynamic> json) {
    return json == null ? new List<Location>() : json.map((value) => new Location.fromJson(value)).toList();
  }

  static Map<String, Location> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, Location>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new Location.fromJson(value));
    }
    return map;
  }
}

