part of forestvpn_api.api;

class Premium {
  
  bool active = null;
  

  Object purchaseDate = null;
  

  DateTime expiresDate = null;
  

  bool isTrialPeriod = null;
  

  bool isInIntroOfferPeriod = null;
  

  bool isUpgraded = null;
  
  Premium();

  @override
  String toString() {
    return 'Premium[active=$active, purchaseDate=$purchaseDate, expiresDate=$expiresDate, isTrialPeriod=$isTrialPeriod, isInIntroOfferPeriod=$isInIntroOfferPeriod, isUpgraded=$isUpgraded, ]';
  }

  Premium.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    active =
        json['active']
    ;
    purchaseDate =
      
      
      new Object.fromJson(json['purchase_date'])
;
    expiresDate = json['expires_date'] == null ? null : DateTime.parse(json['expires_date']);
    isTrialPeriod =
        json['is_trial_period']
    ;
    isInIntroOfferPeriod =
        json['is_in_intro_offer_period']
    ;
    isUpgraded =
        json['is_upgraded']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'active': active,
      'purchase_date': purchaseDate,
      'expires_date': expiresDate == null ? '' : expiresDate.toUtc().toIso8601String(),
      'is_trial_period': isTrialPeriod,
      'is_in_intro_offer_period': isInIntroOfferPeriod,
      'is_upgraded': isUpgraded
     };
  }

  static List<Premium> listFromJson(List<dynamic> json) {
    return json == null ? new List<Premium>() : json.map((value) => new Premium.fromJson(value)).toList();
  }

  static Map<String, Premium> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, Premium>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new Premium.fromJson(value));
    }
    return map;
  }
}

