part of forestvpn_api.api;

class UsageTrafficUpdateRequest {
  
  String principal = null;
  

  int transmit = null;
  

  int receive = null;
  

  int lastHandshakeTime = null;
  

  int dateTime = null;
  
  UsageTrafficUpdateRequest();

  @override
  String toString() {
    return 'UsageTrafficUpdateRequest[principal=$principal, transmit=$transmit, receive=$receive, lastHandshakeTime=$lastHandshakeTime, dateTime=$dateTime, ]';
  }

  UsageTrafficUpdateRequest.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    principal =
        json['principal']
    ;
    transmit =
        json['transmit']
    ;
    receive =
        json['receive']
    ;
    lastHandshakeTime =
        json['last_handshake_time']
    ;
    dateTime =
        json['date_time']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'principal': principal,
      'transmit': transmit,
      'receive': receive,
      'last_handshake_time': lastHandshakeTime,
      'date_time': dateTime
     };
  }

  static List<UsageTrafficUpdateRequest> listFromJson(List<dynamic> json) {
    return json == null ? new List<UsageTrafficUpdateRequest>() : json.map((value) => new UsageTrafficUpdateRequest.fromJson(value)).toList();
  }

  static Map<String, UsageTrafficUpdateRequest> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, UsageTrafficUpdateRequest>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new UsageTrafficUpdateRequest.fromJson(value));
    }
    return map;
  }
}

