part of forestvpn_api.api;

class WireguardInterface {
  
  List<String> address = [];
  

  String listenPort = null;
  

  String fwMark = null;
  

  String privateKey = null;
  

  String publicKey = null;
  

  List<String> dns = [];
  
  WireguardInterface();

  @override
  String toString() {
    return 'WireguardInterface[address=$address, listenPort=$listenPort, fwMark=$fwMark, privateKey=$privateKey, publicKey=$publicKey, dns=$dns, ]';
  }

  WireguardInterface.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    address =
        (json['address'] as List).map((item) => item as String).toList()
    ;
    listenPort =
        json['listen_port']
    ;
    fwMark =
        json['fw_mark']
    ;
    privateKey =
        json['private_key']
    ;
    publicKey =
        json['public_key']
    ;
    dns =
        (json['dns'] as List).map((item) => item as String).toList()
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'address': address,
      'listen_port': listenPort,
      'fw_mark': fwMark,
      'private_key': privateKey,
      'public_key': publicKey,
      'dns': dns
     };
  }

  static List<WireguardInterface> listFromJson(List<dynamic> json) {
    return json == null ? new List<WireguardInterface>() : json.map((value) => new WireguardInterface.fromJson(value)).toList();
  }

  static Map<String, WireguardInterface> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, WireguardInterface>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new WireguardInterface.fromJson(value));
    }
    return map;
  }
}

