part of forestvpn_api.api;

class WireguardProfile {
  
  String id = null;
  

  String deviceId = null;
  

  String deviceName = null;
  

  WireguardInterface interface = null;
  

  List<WireguardPeer> peers = [];
  
  WireguardProfile();

  @override
  String toString() {
    return 'WireguardProfile[id=$id, deviceId=$deviceId, deviceName=$deviceName, interface=$interface, peers=$peers, ]';
  }

  WireguardProfile.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id =
        json['id']
    ;
    deviceId =
        json['device_id']
    ;
    deviceName =
        json['device_name']
    ;
    interface =
      
      
      new WireguardInterface.fromJson(json['interface'])
;
    peers =
      WireguardPeer.listFromJson(json['peers'])
;
  }

  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'device_id': deviceId,
      'device_name': deviceName,
      'interface': interface,
      'peers': peers
     };
  }

  static List<WireguardProfile> listFromJson(List<dynamic> json) {
    return json == null ? new List<WireguardProfile>() : json.map((value) => new WireguardProfile.fromJson(value)).toList();
  }

  static Map<String, WireguardProfile> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, WireguardProfile>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new WireguardProfile.fromJson(value));
    }
    return map;
  }
}

